summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-01-17 19:28:25 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-01-22 08:23:02 +0700
commitdeb72bb1eef1f6f2babdceb57f338e2b753f76c9 (patch)
tree06c540359283a799d9b63b9bf2b1de0ff876276f /system
parent24a1ffe3db96a1c2f858565073c48162a05bcc50 (diff)
downloadslackbuilds-deb72bb1eef1f6f2babdceb57f338e2b753f76c9.tar.gz
slackbuilds-deb72bb1eef1f6f2babdceb57f338e2b753f76c9.tar.xz
system/evtest: Added (monitor input device events).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/evtest/README15
-rw-r--r--system/evtest/evtest.SlackBuild89
-rw-r--r--system/evtest/evtest.info10
-rw-r--r--system/evtest/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/system/evtest/README b/system/evtest/README
new file mode 100644
index 0000000000..e5344d4898
--- /dev/null
+++ b/system/evtest/README
@@ -0,0 +1,15 @@
+evtest (utility to monitor Linux input device events)
+
+evtest is a tool to print evdev kernel events. It reads directly from
+the kernel device and prints a device description and the events with
+the value and the symbolic name. It can be used to determine mice
+button bindings, keymaps for exotic keyboards. It is commonly used to
+debug issues with input devices in X.Org.
+
+Note: If your user is a member of the 'input' group, you should be
+able to use evtest without root privilege. Otherwise, use "su" or
+"sudo" to run it as root.
+
+Note: On the one of the SlackBuild author's systems, running evtest
+enables Numlock. Not a real problem, but it was surprising the first
+time it happened.
diff --git a/system/evtest/evtest.SlackBuild b/system/evtest/evtest.SlackBuild
new file mode 100644
index 0000000000..12b20b3a52
--- /dev/null
+++ b/system/evtest/evtest.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for evtest
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Using the source as (re)packaged by Debian, because upstream doesn't
+# seem to release tarballs (not even auto-generated git snapshot
+# ones).
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=evtest
+VERSION=${VERSION:-1.34}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sh autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+# evtest.txt is just a preformatted copy of the man page, don't bother.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/evtest/evtest.info b/system/evtest/evtest.info
new file mode 100644
index 0000000000..d8cad3e1c6
--- /dev/null
+++ b/system/evtest/evtest.info
@@ -0,0 +1,10 @@
+PRGNAM="evtest"
+VERSION="1.34"
+HOMEPAGE="https://cgit.freedesktop.org/evtest/"
+DOWNLOAD="http://deb.debian.org/debian/pool/main/e/evtest/evtest_1.34.orig.tar.xz"
+MD5SUM="8dedbee9a6f9dc470ddaaa7ef8924448"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/evtest/slack-desc b/system/evtest/slack-desc
new file mode 100644
index 0000000000..7829de9ed6
--- /dev/null
+++ b/system/evtest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+evtest: evtest (utility to monitor Linux input device events)
+evtest:
+evtest: evtest is a tool to print evdev kernel events. It reads directly from
+evtest: the kernel device and prints a device description and the events with
+evtest: the value and the symbolic name.
+evtest:
+evtest: Note: If your user is a member of the 'input' group, you should be
+evtest: able to use evtest without root privilege. Otherwise, use "su" or
+evtest: "sudo" to run it as root.
+evtest:
+evtest: